import request from '@/utils/request'
/* 获取公司列表 */
export function getPage(params) {
    return request({
      url: '/admin/erp/company/getPage',
      method: 'get',
      loaidng: false,
      params
    })
  }
  /* 创建公司 */
  export function addCompany(parmas) {
    return request({
      url: `/admin/erp/company/createCompany`,
      method: 'post',
      headers: { 'Content-Type': 'application/json' },
      data: parmas
    })
  }

  /*编辑公司*/

export function editCompany(id,parmas) {
  return request({
    url: `/admin/erp/company/updateCompany/${id}`,
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: parmas
  })
}

/* 套餐续费  */

export function renewCompany(id,parmas) {
  return request({
    url: `/admin/erp/company/renewCompany/${id}`,
    method: 'post',
    headers: { 'Content-Type': 'application/json' },
    data: parmas
  })
}